PairwiseRenderContext (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.PairwiseRenderContext interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Interface PairwiseRenderContext

All Superinterfaces:
  SequenceRenderContext, SwingConstants

All Known Implementing Classes:
  PairwiseSequencePanel, SubPairwiseRenderContext

    public interface PairwiseRenderContext

extends SequenceRenderContext

`PairwiseRenderContext` encapsulates information required for the rendering of a pair of sequences. No assumption is made as to whether the sequences are to be rendered in different directions (as in a dotplot) or in the same direction; this is left to the implementation. The leading and trailing borders refer to the primary sequence only.

Since:
  1.2
Author:
  Keith James

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.SequenceRenderContext
`SequenceRenderContext.Border`

Field Summary

Fields inherited from interface org.biojava.bio.gui.sequence.SequenceRenderContext
`LAYOUT, REPAINT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Method Summary
`int` | `getSecondaryDirection()` `getSecondaryDirection` returns the direction in which the secondary sequence is rendered.
`FeatureHolder` | `getSecondaryFeatures()` `getSecondaryFeatures` returns the features on the secondary sequence.
`RangeLocation` | `getSecondaryRange()` `getSecondaryRange` returns the range of the secondary sequence currently rendered.
`SymbolList` | `getSecondarySymbols()` `getSecondarySymbols` returns the symbols of the secondary sequence.
`int` | `graphicsToSecondarySequence(double graphicsPos)` `graphicsToSecondarySequence` converts a graphical position to a sequence coordinate on the secondary sequence.
`int` | `graphicsToSecondarySequence(Point point)` `graphicsToSecondarySequence` converts a graphical position to a secondary sequence index.
`double` | `secondarySequenceToGraphics(int sequencePos)` `secondarySequenceToGraphics` converts a sequence coordinate on the secondary sequence to a graphical position.

Methods inherited from interface org.biojava.bio.gui.sequence.SequenceRenderContext
`getDirection, getFeatures, getFont, getLeadingBorder, getRange, getScale, getSymbols, getTrailingBorder, graphicsToSequence, graphicsToSequence, sequenceToGraphics`

Method Detail

### getSecondaryDirection

    int getSecondaryDirection()

  `getSecondaryDirection` returns the direction in which the secondary sequence is rendered. This may be either HORIZONTAL or VERTICAL.

  Returns:
    an `int`.

### getSecondarySymbols

    SymbolList getSecondarySymbols()

  `getSecondarySymbols` returns the symbols of the secondary sequence.

  Returns:
    a `SymbolList`.

### getSecondaryFeatures

    FeatureHolder getSecondaryFeatures()

  `getSecondaryFeatures` returns the features on the secondary sequence.

  Returns:
    a `FeatureHolder`.

### getSecondaryRange

    RangeLocation getSecondaryRange()

  `getSecondaryRange` returns the range of the secondary sequence currently rendered.

  Returns:
    a `RangeLocation`.

### secondarySequenceToGraphics

    double secondarySequenceToGraphics(int sequencePos)

  `secondarySequenceToGraphics` converts a sequence coordinate on the secondary sequence to a graphical position.

  Parameters:
    `sequencePos` - an `int`.
  Returns:
    a `double`.

### graphicsToSecondarySequence

    int graphicsToSecondarySequence(double graphicsPos)

  `graphicsToSecondarySequence` converts a graphical position to a sequence coordinate on the secondary sequence.

  Parameters:
    `graphicsPos` - a `double`.
  Returns:
    an `int`.

### graphicsToSecondarySequence

    int graphicsToSecondarySequence(Point point)

  `graphicsToSecondarySequence` converts a graphical position to a secondary sequence index.

  Parameters:
    `point` - a `Point`.
  Returns:
    an `int`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD